# OpalLocalMediaStream Class Reference

`#include <localep.h>`

Inheritance diagram for OpalLocalMediaStream:

List of all members.

## Public Member Functions

Overrides of OpalMediaStream class
virtual PBoolean | ReadPacket (RTP_DataFrame &packet)
virtual PBoolean | WritePacket (RTP_DataFrame &packet)
virtual PBoolean | ReadData (BYTE *data, PINDEX size, PINDEX &length)
virtual PBoolean | WriteData (const BYTE *data, PINDEX length, PINDEX &written)
virtual PBoolean | IsSynchronous () const

## Protected Attributes

bool | m_isSynchronous

## Detailed Description

This class describes a media stream that transfers data to/from a Local EndPoint or Connection.

## Constructor & Destructor Documentation

OpalLocalMediaStream::OpalLocalMediaStream | ( | OpalLocalConnection & | conn,
|  | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | bool | isSource,
|  | bool | isSynchronous |
| ) |  |  |

Construct a new media stream for Line Interface Devices.

Parameters:

  mediaFormat | Media format for stream
  sessionID | Session number for stream
  isSource | Is a source stream
  isSynchronous | Can accept data and block accordingly

OpalLocalMediaStream::OpalLocalMediaStream | ( | OpalLocalConnection & | conn,
|  | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | bool | isSource,
|  | bool | isSynchronous |
| ) |  |  |

Construct a new media stream for Line Interface Devices.

Parameters:

  mediaFormat | Media format for stream
  sessionID | Session number for stream
  isSource | Is a source stream
  isSynchronous | Can accept data and block accordingly

## Member Function Documentation

virtual PBoolean OpalLocalMediaStream::ReadPacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Read an RTP frame of data from the source media stream. The default behaviour simply calls ReadData() on the data portion of the RTP_DataFrame and sets the frames timestamp and marker from the internal member variables of the media stream class.

Reimplemented from OpalMediaStream.

virtual PBoolean OpalLocalMediaStream::WritePacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Write an RTP frame of data to the sink media stream. The default behaviour simply calls WriteData() on the data portion of the RTP_DataFrame and and sets the internal timestamp and marker from the member variables of the media stream class.

Reimplemented from OpalMediaStream.

virtual PBoolean OpalLocalMediaStream::ReadData | ( | BYTE * | data,
|  | PINDEX | size,
|  | PINDEX & | length |
| ) |  |  | `[virtual]`

Read raw media data from the source media stream. The default behaviour reads from the OpalLine object.

Parameters:

  data | Data buffer to read to
  size | Size of buffer
  length | Length of data actually read

Reimplemented from OpalMediaStream.

virtual PBoolean OpalLocalMediaStream::WriteData | ( | const BYTE * | data,
|  | PINDEX | length,
|  | PINDEX & | written |
| ) |  |  | `[virtual]`

Write raw media data to the sink media stream. The default behaviour writes to the OpalLine object.

Parameters:

  data | Data to write
  length | Length of data to read.
  written | Length of data actually written

Reimplemented from OpalMediaStream.

virtual PBoolean OpalLocalMediaStream::IsSynchronous | ( |  | ) | const`[virtual]`

Indicate if the media stream is synchronous. Returns PTrue for LID streams.

Implements OpalMediaStream.

## Member Data Documentation

bool OpalLocalMediaStream::m_isSynchronous `[protected]`

The documentation for this class was generated from the following file:

- localep.h